Check Available Stock

Method for checking available stock and available Bundles using ProductId

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Description

This is the end point for checking available Bundles, Data packages and EVD stock.

Bundles are associated with a ProductId. Values, descritptions and meta-Tags are kept up to date and will only be updated once daily at midnight CAT. Only one query per day is required for the system you build.

{
    "stock": [
        {
            "productId": 16,
            "name": "Daily Data Bundle  (20MB)",
            "productCode": "DDB20",
            "description": "Daily Data Bundle  (20MB)",
            "value": 28400,
            "currency": "ZiG",
            "walletTypeId": 1
        },
        {
            "productId": 16,
            "name": "Data Daily - 40MB",
            "productCode": "DDB50",
            "description": "Daily Data Bundle (40)",
            "value": 56800, 
          	"currency": "ZiG",
            "walletTypeId": 1
        },
        {
            "productId": 16,
            "name": "Daily Data - 80MB",
            "productCode": "DDB80",
            "description": "Daily Data Bundle  (80MB)",
            "value": 113000,
           	"currency": "ZiG",
            "walletTypeId": 1
        } 
    ]
}
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "errors": {
        "ProductId": [
            "Unsupported Brand Exception - \"ProductId\" ProductId is not supported for Stock Query. 67"
        ]
    }
}

Response Model

FieldParameter TypeDescription
ProductIdintThe ProductId of product
NamestringThe name of the stock item. This can be the data bundle name eg. Daily Data Bundle
DescriptionstringThe description of the bundle or voucher
ProductCodestringProductCode is used to identify the specific bundle or voucher to be recharged for the product.
ValuedecimalThe value of the bundle being recharged. If the bundle value doesn't match the product code the recharge will fail.
CurrencystringThe Currency of the product
WalletTypeIdintThe Wallet Type Id for the account that will be debited for this transaction
Path Params
string
required
Defaults to 16

Id of product to be added when checking stock on a specific product

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json